Subject: Re: [apps-discuss] RFC 2388 (multipart/form-data)

From: Larry Masinter <[email-masked]>
Date: Sat, 16 Feb 2013 19:33:00 -0800

I'm not aware of anyone who could be talked into updating multipart/form-data to fix flaws, such as to specify how non-ASCII field-names can/should be encoded (bug 16909).

I suggest asking the IETF Applications Area (list [email-masked]) as the closest to a group monitoring the health of IETF-sponsored application specifications.

> -----Original Message-----
> From: Ian Hickson [mailto:[email-masked]]
> Sent: Tuesday, February 12, 2013 3:18 PM
> To: Larry Masinter
> Subject: RFC 2388 (multipart/form-data)
> 
> 
> Hey Larry,
> 
> Do you know if there is anyone working on fixing RFC2388? People keep
> asking me to update the HTML spec to just define it all inline rather than
> deferring to the RFC since the RFC leaves a lot of stuff underdefined, but
> I don't have the bandwidth to spec all that myself at this point.
> 
> e.g.:
>    https://www.w3.org/Bugs/Public/show_bug.cgi?id=16909
>    https://www.w3.org/Bugs/Public/show_bug.cgi?id=19879
> 
> Other feedback:
>    http://lists.w3.org/Archives/Public/public-whatwg-
> archive/2012Oct/0204.html
>    http://lists.w3.org/Archives/Public/public-whatwg-archive/2012Jul/0037.html
>    http://lists.w3.org/Archives/Public/public-whatwg-
> archive/2012May/0003.html
> 
> Cheers,
> --
> Ian Hickson               U+1047E                )\._.,--....,'``.    fL
> http://ln.hixie.ch/       U+263A                /,   _.. \   _\  ;`._ ,.
> Things that are impossible just take longer.   `._.-(,_..'--(,_..'`-.;.'